Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.form.model
Class FormBuilderDTOHelper

    java.lang.Object
      org.jbpm.kie.services.impl.form.model.FormBuilderDTOHelper

    public class FormBuilderDTOHelper

extends Object

Constructor Summary
`FormBuilderDTOHelper()`
`FormBuilderDTOHelper(Map<String,Object> parameters)`

Method Summary
`Object` | `createInstance()`
`Boolean` | `getBoolean(String key)`
`String` | `getClassName()`
`Double` | `getDouble(String key)`
`Integer` | `getInteger(String key)`
`List<Object>` | `getList(String key)`
`List<FormBuilderDTOHelper>` | `getListOfDtoHelpers(String key)`
`Long` | `getLong(String key)`
`Map<String,Object>` | `getMap()`
`Map<String,Object>` | `getMap(String key)`
`Map<String,String>` | `getMapOfStrings(String key)`
`String` | `getString(String key)`
`FormBuilderDTOHelper` | `getSubDto(String key)`
`void` | `setBoolean(String key, boolean value)`
`void` | `setDouble(String key, Double value)`
`void` | `setInteger(String key, Integer value)`
`void` | `setList(String key, List<Object> value)`
`void` | `setLong(String key, long value)`
`void` | `setMap(String key, Map<String,Object> value)`
`void` | `setMapOfStrings(String key, Map<String,String> value)`
`void` | `setString(String key, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormBuilderDTOHelper

    public FormBuilderDTOHelper()

### FormBuilderDTOHelper

    public FormBuilderDTOHelper(Map<String,Object> parameters)

Method Detail

### getString

    public String getString(String key)

### setString

    public void setString(String key,
                          String value)

### getList

    public List<Object> getList(String key)

### setList

    public void setList(String key,
                        List<Object> value)

### getListOfDtoHelpers

    public List<FormBuilderDTOHelper> getListOfDtoHelpers(String key)

### getMap

    public Map<String,Object> getMap(String key)

### setMap

    public void setMap(String key,
                       Map<String,Object> value)

### getSubDto

    public FormBuilderDTOHelper getSubDto(String key)

### getClassName

    public String getClassName()

### getMap

    public Map<String,Object> getMap()

### setInteger

    public void setInteger(String key,
                           Integer value)

### getInteger

    public Integer getInteger(String key)

### setBoolean

    public void setBoolean(String key,
                           boolean value)

### getBoolean

    public Boolean getBoolean(String key)

### setLong

    public void setLong(String key,
                        long value)

### getLong

    public Long getLong(String key)

### setDouble

    public void setDouble(String key,
                          Double value)

### getDouble

    public Double getDouble(String key)

### setMapOfStrings

    public void setMapOfStrings(String key,
                                Map<String,String> value)

### getMapOfStrings

    public Map<String,String> getMapOfStrings(String key)

### createInstance

    public Object createInstance()
                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.